<nav class="nevis-btn-user-logged-in"
     [ngClass]="{'menu-open' : isMenuOpen,
                 'menu-close': !isMenuOpen}"
     (mouseenter)="isMenuOpen = true"
     (mouseleave)="isMenuOpen = false"
     (click)="clickedInside($event)">

  <button class="nevis-btn-user-logged-in__btn-user  nevis-btn-user  nevis-btn-user--logged-in"
          [ngClass]="{'menu-open' : isMenuOpen,
                      'menu-close': !isMenuOpen}"
          (focus)="isMenuOpen = true"
          (click)="isMenuOpen = !isMenuOpen"
          aria-label="Show/Close User Menu">

    <div class="nevis-btn-user-logged-in__pic-wrap" *ngIf="avatarUrl">
      <img class="nevis-btn-user-logged-in__img"
           [src]="avatarUrl">
    </div>

    <svg class="nevis-btn-user-logged-in__svg  nevis-btn-user__pic" *ngIf="!avatarUrl"
         width="35" height="33.656"
         xmlns="http://www.w3.org/2000/svg">
      <use xlink:href="#svg-default-userpic"></use>
    </svg>

  </button>

  <div class="nevis-btn-user-logged-in__list-wrap" *ngIf="isMenuOpen" [@animatedBlock]>

    <ul class="nevis-btn-user-logged-in__list  nevis-btn-user__nav-list">

      <li class="nevis-btn-user-logged-in__item">

        <div class="nevis-btn-user-logged-in__signed-in-text-wrap">
          <p class="nevis-btn-user-logged-in__signed-in-text  nevis-btn-user-logged-in__signed-in-text--loggen-in-as">{{app.i18n('logged_in_as', i18n)}}</p>
          <p class="nevis-btn-user-logged-in__signed-in-text"><b>{{nevisService.auth.username}}</b></p>
        </div>

        <button class="nevis-btn-user-logged-in__item-btn" mat-button
                (click)="myAccount()"
                aria-label="Account">

          <span class="nevis-btn-user-logged-in__item-text">{{app.i18n('account', i18n)}}</span>

          <span class="nevis-btn-user-logged-in__item-pic-wrap">
            <svg class="nevis-btn-user-logged-in__item-pic"
                 width="30" height="30" viewBox="0 0 30 30" xmlns="http://www.w3.org/2000/svg">
              <path d="M28,4v22h-4.268C23.902,25.706,24,25.364,24,25c0-1.103-0.897-2-2-2s-2,0.897-2,2v1H10v-1c0-1.103-0.897-2-2-2s-2,0.897-2,2c0,0.364,0.098,0.706,0.268,1H2V4H28 M29,3H1v24h7v-1c-0.552,0-1-0.448-1-1c0-0.552,0.448-1,1-1s1,0.448,1,1v2h12v-2c0-0.552,0.448-1,1-1s1,0.448,1,1c0,0.552-0.448,1-1,1v1h7V3L29,3z"></path>
              <circle cx="9" cy="11" r="3"></circle>
              <path d="M14,20c0-2.761-2.239-5-5-5c-2.761,0-5,2.239-5,5H14z"></path>
              <rect x="17" y="11" width="9" height="1"></rect>
              <rect x="17" y="14" width="9" height="1"></rect>
              <rect x="17" y="17" width="9" height="1"></rect>
            </svg>
          </span>
        </button>

      </li>

      <li class="nevis-btn-user-logged-in__item">

        <button class="nevis-btn-user-logged-in__item-btn" mat-button
                (click)="nevisService.logout()"
                aria-label="Perform 'Log out'">

          <span class="nevis-btn-user-logged-in__item-text  nevis-btn-user-logged-in__item-text--logout">{{app.i18n('log_out', i18n)}}</span>

          <span class="nevis-btn-user-logged-in__item-pic-wrap">
            <svg class="nevis-btn-user-logged-in__item-pic"
                 width="30" height="30" viewBox="0 0 30 30" xmlns="http://www.w3.org/2000/svg">
                <path
                  d="M 15 3 C 8.3845336 3 3 8.3845336 3 15 C 3 21.615466 8.3845336 27 15 27 C 17.554923 27 19.9167 26.181425 21.853516 24.818359 A 1.0002806 1.0002806 0 0 0 20.703125 23.181641 C 19.081941 24.322575 17.129077 25 15 25 C 9.4654664 25 5 20.534534 5 15 C 5 9.4654664 9.4654664 5 15 5 C 17.129077 5 19.081941 5.6774247 20.703125 6.8183594 A 1.0002809 1.0002809 0 1 0 21.853516 5.1816406 C 19.9167 3.8185753 17.554923 3 15 3 z M 22.990234 9.9902344 A 1.0001 1.0001 0 0 0 22.292969 11.707031 L 24.585938 14 L 14 14 A 1.0001 1.0001 0 1 0 14 16 L 24.585938 16 L 22.292969 18.292969 A 1.0001 1.0001 0 1 0 23.707031 19.707031 L 27.619141 15.794922 A 1.0001 1.0001 0 0 0 27.617188 14.203125 L 23.707031 10.292969 A 1.0001 1.0001 0 0 0 22.990234 9.9902344 z"></path>
            </svg>
          </span>
        </button>

      </li>
    </ul>

  </div>

</nav>
